Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1334284 - [abrt] recoll: QObject::disconnect(): recoll killed by SIGSEGV
Summary: [abrt] recoll: QObject::disconnect(): recoll killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a11a7f4cfc538316684a6786e02...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-09 10:39 UTC by Eric Reitmaier
Modified: 2016-05-24 01:24 UTC (History)
1 user (show)

Fixed In Version: recoll-1.21.7-1.fc24 recoll-1.21.7-1.fc22 recoll-1.21.7-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-20 17:39:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (71.98 KB, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: cgroup (148 bytes, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: core_backtrace (24.76 KB, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: dso_list (18.70 KB, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: environ (1.55 KB, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: exploitable (82 bytes, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: maps (90.17 KB, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: mountinfo (3.24 KB, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: open_fds (1.69 KB, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-05-09 10:40 UTC, Eric Reitmaier
no flags Details

Description Eric Reitmaier 2016-05-09 10:39:57 UTC
Version-Release number of selected component:
recoll-1.21.6-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        recoll
crash_function: QObject::disconnect
executable:     /usr/bin/recoll
global_pid:     12640
kernel:         4.4.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2949
 #2 QDBusConnectionPrivate::closeConnection at qdbusintegrator.cpp:1126
 #3 QDBusConnectionManager::run at qdbusconnection.cpp:191
 #4 QThreadPrivate::start at thread/qthread_unix.cpp:340
 #6 eventfd at ../sysdeps/unix/sysv/linux/eventfd.c:28

Comment 1 Eric Reitmaier 2016-05-09 10:40:02 UTC
Created attachment 1155232 [details]
File: backtrace

Comment 2 Eric Reitmaier 2016-05-09 10:40:03 UTC
Created attachment 1155233 [details]
File: cgroup

Comment 3 Eric Reitmaier 2016-05-09 10:40:04 UTC
Created attachment 1155234 [details]
File: core_backtrace

Comment 4 Eric Reitmaier 2016-05-09 10:40:06 UTC
Created attachment 1155235 [details]
File: dso_list

Comment 5 Eric Reitmaier 2016-05-09 10:40:07 UTC
Created attachment 1155236 [details]
File: environ

Comment 6 Eric Reitmaier 2016-05-09 10:40:08 UTC
Created attachment 1155237 [details]
File: exploitable

Comment 7 Eric Reitmaier 2016-05-09 10:40:09 UTC
Created attachment 1155238 [details]
File: limits

Comment 8 Eric Reitmaier 2016-05-09 10:40:11 UTC
Created attachment 1155239 [details]
File: maps

Comment 9 Eric Reitmaier 2016-05-09 10:40:12 UTC
Created attachment 1155240 [details]
File: mountinfo

Comment 10 Eric Reitmaier 2016-05-09 10:40:13 UTC
Created attachment 1155241 [details]
File: namespaces

Comment 11 Eric Reitmaier 2016-05-09 10:40:14 UTC
Created attachment 1155242 [details]
File: open_fds

Comment 12 Eric Reitmaier 2016-05-09 10:40:16 UTC
Created attachment 1155243 [details]
File: proc_pid_status

Comment 13 Eric Reitmaier 2016-05-09 10:40:17 UTC
Created attachment 1155244 [details]
File: var_log_messages

Comment 14 Fedora Update System 2016-05-13 20:22:36 UTC
recoll-1.21.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ecd2fc1534

Comment 15 Fedora Update System 2016-05-13 20:22:43 UTC
recoll-1.21.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-27f6dc7b4a

Comment 16 Fedora Update System 2016-05-13 20:22:47 UTC
recoll-1.21.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-04b9478b2b

Comment 17 Fedora Update System 2016-05-15 06:56:22 UTC
recoll-1.21.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ecd2fc1534

Comment 18 Fedora Update System 2016-05-16 15:21:10 UTC
recoll-1.21.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-04b9478b2b

Comment 19 Fedora Update System 2016-05-16 15:23:42 UTC
recoll-1.21.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-27f6dc7b4a

Comment 20 Fedora Update System 2016-05-20 17:39:23 UTC
recoll-1.21.7-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-05-24 01:21:15 UTC
recoll-1.21.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-05-24 01:24:49 UTC
recoll-1.21.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.